package main

import "fmt"

// Declare the following untyped constants
// - Cup with a value of 8
// - Pint with a value of 16
// - Quart with a value of 32
// - Gallon with a value of 128

// Declare the following typed constant:
// - Barrel of type int32 with a value of 4032

func main() {
	// Fix the following format directives
	fmt.Printf("there are %v cups in 1 gallon\n", Gallon/Cup)
	fmt.Printf("there are %s pints in 1 gallon\n", Gallon/Pint)
	fmt.Printf("there are %q Quarts in 1 gallon\n", Gallon/Quart)

	// Fix the following statement to properly print the correct value
	fmt.Printf("there are %.1f gallons in a barrel\n", Barrel/Gallon)

	// Fix the following print statements to be left padded with 6 leading zeros
	fmt.Printf("|%d|%d|%d|%d|%d|\n", 25, 523, 9, 1048, 12345)
	fmt.Printf("|%d|%d|%d|%d|%d|\n", 12345, 9, 1048, 523, 24)

	// Fix the following print statements to be right padded with 6 spaces
	fmt.Printf("|%d|%d|%d|%d|%d|\n", 25, 523, 9, 1048, 12345)
	fmt.Printf("|%d|%d|%d|%d|%d|\n", 12345, 9, 1048, 523, 24)

	// correct the order of the arguments in this print statement:
	fmt.Printf("2+2 = %d. The sky is %s. The mascot for Go is a %s", "Gopher", 4, "Blue")
}
